<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a href="{:url('admin/App/index')}">{:lang('APPLICATION_MANAGEMENT')}</a></li>
        <if condition="class_exists('\app\admin\controller\AppStoreController')">
            <li><a href="{:url('AppStore/apps')}">{:lang('APPLICATION_MARKET')}</a></li>
        </if>
    </ul>
    <form method="post" class="js-ajax-form margin-top-20">
        <php>
            $status=array("1"=>lang("ENABLED"),"0"=>lang("DISABLED"),"3"=>lang('NOT_INSTALLED'));
        </php>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th>{:lang('NAME')}</th>
                <th>{:lang('IDENTIFIER')}</th>
                <th>{:lang('DESCRIPTION')}</th>
                <th>{:lang('AUTHOR')}</th>
                <th>{:lang('VERSION_NUMBER')}</th>
                <th width="60">{:lang('STATUS')}</th>
                <th width="220">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="apps" item="vo">
                <tr>
                    <td>{$vo.title}</td>
                    <td><span class="label label-info">{$vo.name}</span></td>
                    <td>{$vo.description}</td>
                    <td>{$vo.author}</td>
                    <td><span class="label label-success">{$vo.version}</span></td>
                    <td>
                        <empty name="vo.installed">
                            <span class="label label-warning">{:lang('NOT_INSTALLED')}</span>
                            <else/>
                            <span class="label label-success">{:lang('INSTALLED')}</span>
                        </empty>
                    </td>
                    <td>
                        <empty name="vo.installed">
                            <a class="btn btn-xs btn-primary js-ajax-dialog-btn"
                               href="{:url('App/install',array('name'=>$vo['name']))}"
                               data-msg="{:lang('CONFIRM_INSTALL_APP')}">{:lang('INSTALL')}</a>
                            <else/>
                            <a class="btn btn-xs btn-success js-ajax-dialog-btn"
                               href="{:url('App/update',array('name'=>$vo['name']))}"
                               data-msg="{:lang('CONFIRM_UPDATE_APP')}">{:lang('UPDATE')}</a>
                        </empty>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
</body>
</html>
